Subject: Re: MPC8540 : What's "SPE used in kernel" ?

From: Philippe De Muyter <[email-masked]>
Date: Sat, 23 Feb 2008 10:24:58 +0100

On Fri, Feb 22, 2008 at 12:33:19PM -0600, Andy Fleming wrote:
>
> On Feb 22, 2008, at 03:50, Philippe De Muyter wrote:
>
>> Dear list,
>>
>> I have just compiled linux-2.6.24 for a MPC8540 target using a MPC8540
>> specific gcc.
>>
>> I then got tan infinity of "SPE used in kernel" messages.  Looking at the
>> sources I ifdeffed out the printk call in KernelSPE, and I now have a
>> silent kernel, that seems to work fine.
>>
>> Is there something wrong in my setting and should I look further to
>> debug this problem or is this perfectly normal ?
>>
>> I wonder why a kernel configured for E500 and compiled by a E500-specific 
>> gcc
>> triggers this message.  Is it invalid to use SPE instructions in the 
>> kernel
>> or do I misunderstand the message ?
>
>
> We don't currently support using SPE in the kernel.  Are you using SPE in 
> the kernel for some reason?  Do you think that the compiler is 
> automatically generating SPE code in the kernel?  I've never seen that 
> before.
>
> Andy

I have bought a modified CLFS installation targetting by default a MPC8540.
By default my powerpc compiler thus generates also SPE instructions.
And I built linux using that compiler.

My first trial used ARCH=ppc and caused this infinity of "SPE used in kernel"
messages, but I then recompiled linux with ARCH=powerpc.  With the message
not ifdef'ed out, this second kernel does not emit "SPE used in kernel"
messages, but I noticed problems with processes dying unexpectedly
(like in the first one, but after my first mail to the list).

Do you by chance know which MPC8540 registers are not saved by the kernel ?

Philippe